<template>
  <div class="PollutionSource">
    <el-table class="tableBox" :data="tableData" :header-cell-style="tableHeaderColor" :cell-style="rowClass" border>
      <el-table-column width="30px" label="">
        <template>
          <i class="el-icon-caret-right"></i>
          <span style="margin-left: 10px"></span>
        </template>
      </el-table-column>
      <el-table-column label="序号" width="60px" type="index"></el-table-column>
      <el-table-column prop="UserName" label="企业名称"></el-table-column>
      <el-table-column prop="ProductionFacilities" label="一级风险源（个）"></el-table-column>
      <el-table-column prop="GovernanceFacilities" label="二级风险源（个）"></el-table-column>
      <el-table-column prop="GovernanceFacilities" label="三级风险源（个）"></el-table-column>
      <el-table-column prop="GovernanceFacilities" label="应急物资存放点"></el-table-column>
    </el-table>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'
export default {
  name: 'AirQuality',
  data () {
    return {
      tableData: null
    }
  },
  async mounted () {
    this.tableData = await mapApi.getEnvironmentalRiskStatistics()
  },
  methods: {
    tableHeaderColor ({ row, column, owIndex, columnIndex }) {
      // return 'background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;font-wight:500;font-size:12px;text-align:center;height:0px'
    },
    // 表头样式设置
    rowClass  () {
      // return 'text-align: center;background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;width:64px'
    }
  }
}
</script>

<style scoped>

</style>
